@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@700&family=Poppins:wght@200&display=swap");
* {
  padding: 0;
  margin: 0;
  font-family: "Josefin Sans", sans-serif;
  box-sizing: border-box;
}
.hero {
  height: 100vh;
  width: 100%;
  background-color: #222831;
  background-size: cover;
  background-position: center;
  border-left: 1px solid #393e46;
}
.logo {
  color: #eeeeee;
  font-size: 24px;
  font-family: "Oswald", sans-serif;
  transition: .8s;
  cursor: pointer;
}
.logo:hover {
  color: #00adb5;
  font-size: 24px;
  transition: .8s;
  font-family: "Oswald", sans-serif;
}
nav {
  display: flex;
  align-items: center;
  font-family: "Oswald", sans-serif;
  font-family: "Poppins", sans-serif;
  justify-content: space-between;
  padding-top: 5px;
  padding-left: 8%;
  padding-right: 8%;
  height: 132px;
  color: #eeeeee;
  background-color: #222831;
  z-index: 1;
  border-bottom: 1px solid #393e46;
}
nav ul li {
  list-style-type: none;
  display: inline-block;
  padding: 10px 25px;
}
nav ul li a {
  color: white;
  text-decoration: none;
  font-weight: bold;
  text-transform: capitalize;
  transition: 0.5s;
}
nav ul li a:hover {
  color: #00adb5;
  transition: 0.5s;
}
.content {
  position: absolute;
  top: 60%;
  left: 3%;
  transform: translateY(-50%);
}
h1 {
  color: #00adb5;
  margin: 20px 0px 20px;
  font-size: 75px;
}
h3 {
  color: white;
  font-size: 25px;
  margin-bottom: 50px;
}

h4 {
  color: #eeeeee;
  letter-spacing: 2px;
  font-size: 20px;
}
.hero img {
  width: 400px;
  margin-left: 920px;
  margin-top: 100px;
}
.btn1 {
  background-color: #00adb5;
  color: #eeeeee;
  text-decoration: none;
  border: 2px solid transparent;
  font-weight: bold;
  padding: 10px 25px;
  border-radius: 30px;
  margin-right: 20px;
}
.btn1:hover {
  background-color: transparent;
  border: 2px solid #00adb5;
  cursor: pointer;
}
.btn {
  background-color: #393e46;
  color: #eeeeee;
  text-decoration: none;
  border: 2px solid transparent;
  font-weight: bold;
  padding: 10px 25px;
  border-radius: 30px;
}
.btn:hover {
  background-color: transparent;
  border: 2px solid #393e46;
  color: #eeeeee;
  cursor: pointer;
}
.about {
  height: 72vh;
  width: 100%;
  background-color: #222831;
  background-size: cover;
  background-position: center;
  border-left: 1px solid #393e46;
}
.about-text {
  position: relative;
  left: -11%;
  width: 550px;
}
.main {
  width: 1130px;
  max-width: 95%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-around;
}
.about-text h2 {
  color: white;
  font-size: 75px;
  text-transform: capitalize;
  margin-bottom: 20px;
  display: flex;
}

.about-text p {
  font-family: "Oswald", sans-serif;
  font-family: "Poppins", sans-serif;
  color: #eeeeee;
  letter-spacing: 1px;
  line-height: 28px;
  font-size: 18px;
  margin-bottom: 45px;
  margin-right: 110px;
  display: flex;
}
.about span {
  color: #00adb5;
}
.about img {
  width: 400px;
  margin-left: 90px;
  margin-bottom: 10px;
  display: flex;
}
footer {
  position: relative;
  width: 100%;
  height: 400px;
  background: #222831;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
footer h2:nth-child(1) {
  font-size: 30px;
  color: white;
  margin-bottom: 20px;
  font-weight: bold;
}
footer h2:nth-child(2) {
  color: white;
  font-size: 17px;
  width: 500px;
  text-align: center;
  line-height: 26px;
}
.social {
  display: flex;
}
.social a {
  width: 45px;
  height: 45px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #393e46;
  border-radius: 50%;
  margin: 22px 10px;
  color: white;
  text-decoration: none;
  font-size: 20px;
}
.social a:hover {
  transform: scale(1.3);
  transition: 0.3s;
}
.end {
  font-family: "Oswald", sans-serif;
  font-family: "Poppins", sans-serif;
  position: absolute;
  color: #eeeeee;
  bottom: 35px;
  font-size: 18px;
}

/* Project Setion */
#project {
  padding: 100px;
  height: 100vh;
  width: 100%;
  background-color: #222831;
  background-repeat: repeat;
  background-size: 400px;
  background-position: center;
  border-left: 1px solid #393e46;
}

.projects {
  display: flex;
  justify-content: center;
  align-items: center;
}
.project-text h2 {
  margin-left: 80px;
  color: white;
  font-size: 75px;
  text-transform: capitalize;
  margin-bottom: 20px;
  display: flex;
}
.project-text span {
  color: #00adb5;
}
.containers {
  overflow: hidden;
  align-items: center;
  display: flex;
  flex-direction: column;
  border-radius: 10%;
  margin: 50px;
  width: 368px;
  height: 400px;
  background-color: #393e46;
  transition: 0.5s;
  /* box-shadow: 10px 10px 5px #676666; */
}
.containers:hover {
  transition: 0.5s;
  border-radius: 10%;
  margin: 45.4px;
  width: 378px;
  height: 410px;
  opacity: 1.0;
  background-color: #393e46;
}
.containers img{
  border-radius: 20px;
  margin: 10px;
  width: 318px;
  height: 200px;
  opacity: 1.0;
}
.details{
  background-color: #4d545e;
  margin: 0 10px 10px 10px;
  max-width:320px;
  max-height: 230px;
  border-radius: 25px;
  color:white;
}

.heading{
  display: flex;
  justify-content: center;
  padding-top: 5px;
  font-size: large;
  font-weight: bolder;
}

.detail{
  font-family: "Oswald", sans-serif;
  font-family: "Poppins", sans-serif;
  color: #eeeeee;
  letter-spacing: 1px;
  line-height: 24px;
  font-size: 15px;
  display: flex;
  padding: 10px;

}
/* End of Project section */

/* Hero  */
#hero1::after {
  content: "";
  position: relative;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  opacity: 0.7;
  z-index: -1;
}
.hero1 {
  max-width: 1200px;
  justify-content: flex-start;
  padding: 0 50px;
  margin: 0 auto;
}
#hero1 h1 {
  display: block;
  width: fit-content;
  color: transparent;
  position: relative;
  animation: text_reveal 0.5s ease 1.5s forwards;
}
#hero1 h1:nth-child(1) {
  animation-delay: 1.5s;
}
#hero1 h1:nth-child(2) {
  animation-delay: 2.5s;
}
#hero1 h1:nth-child(3) {
  animation: text_reveal_name 0.5s ease forwards;
  animation-delay: 3.5s;
}

#hero1 h1 span {
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 102%;
  background-color: #00adb5;
  animation: text_reveal_box 1s ease 1s;
}
#hero1 h1:nth-child(1) span {
  animation-delay: 1s;
}
#hero1 h1:nth-child(2) span {
  animation-delay: 2s;
}
#hero1 h1:nth-child(3) span {
  animation-delay: 3s;
}

#hero1 .cta {
  display: inline-block;
  padding: 10px 30px;
  color: #00adb5;
  background-color: transparent;
  border: 2px solid #00adb5;
  font-size: 2rem;
  letter-spacing: 0.3rem;
  margin-top: 30px;
  transition: background-color, color 0.2s ease;
}
#hero1 .cta:hover {
  background-color: #00adb5;
  color: whitesmoke;
}

#hero1 h1 span {
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 102%;
  background-color: #00adb5;
  animation: text_reveal_box 1s ease 1s;
}

#hero1 h1 {
  display: block;
  width: fit-content;
  color: transparent;
  font-size: 4rem;
  position: relative;
  animation: text_reveal 0.5s ease 1.5s forwards;
}

#hero1 h1:nth-child(3) {
  animation: text_reveal_name 0.5s ease forwards;
  animation-delay: 3.5s;
}
/* keyframes */
@keyframes text_reveal_box {
  50% {
    width: 100%;
    left: 0;
  }
  100% {
    width: 0;
    left: 100%;
  }
}

@keyframes text_reveal {
  100% {
    color: whitesmoke;
  }
}
@keyframes text_reveal_name {
  100% {
    font-weight: 2000;
    color: #00adb5;
  }
}

@media only screen and (max-width: 500px) {
  .hero {
    height: 100vh;
    width: 700px;
    background-color: #222831;
    background-size: cover;
    background-position: center;
    border-left: 1px solid #393e46;
}

.about img {
  width: 210px;
  margin-left: -29px;
  margin-bottom: -80px;
  display: flex;
}
.about {
  height: 72vh;
  width: 699px;
  background-color: #222831;
  background-size: cover;
  background-position: center;
  border-left: 1px solid #393e46;
}

.about-text {
  position: relative;
  left: 0%;
  width: 550px;
}

#project {
  padding: 1px;
  height: 100rem;
  width: 700px;
  background-color: #222831;
  background-repeat: repeat;
  background-size: 400px;
  background-position: center;
  border-left: 1px solid #393e46;
}


.hero img {
  width: 226px;
  margin-left: 478px;
  margin-top: 100px;
  margin-top: 124px;
}

.project-text h2 {
  margin-left: 2px;
  color: white;
  font-size: 75px;
  text-transform: capitalize;
  margin-bottom: 20px;
  display: flex;
}

footer {
  position: relative;
  width: 41rem;
  height: 400px;
  background: #222831;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.projects {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

}
